function onUse(cid, item, topos, item2, frompos)
local myball = getPlayerSlotItem(cid, 8)
local boost = getItemAttribute(myball.uid, "boost") or 100
local boosts = 100
if boost >= 1000 then
doPlayerSendCancel(cid, "seu pokemons está no maximo de boost.")
return true
end
if not isSummon(item2.uid) then
doPlayerSendCancel(cid, "Use only in your pokemons.")
return true
end
		    boosts = boosts
        local pokemon = getItemAttribute(myball.uid, "poke")
        local off = pokes[pokemon].offense * boost_rate * boosts
		local def = pokes[pokemon].defense * boost_rate * boosts
		local agi = pokes[pokemon].agility * boosts
		local spatk = pokes[pokemon].specialattack * boost_rate * boosts
		local vit = pokes[pokemon].vitality * boost_rate * boosts
		newBoost = boost + boosts
		if newBoost > 1000 then
			newBoost = 1000
		end
local off = pokes[pokemon].offense * boost_rate * boosts
local def = pokes[pokemon].defense * boost_rate * boosts
local agi = pokes[pokemon].agility * boosts
local spatk = pokes[pokemon].specialattack * boost_rate * boosts
local vit = pokes[pokemon].vitality * boost_rate * boosts
doSetItemAttribute(myball.uid, "boost", boost + boosts)
		doRemoveItem(item.uid,1)	
		doSendMagicEffect(getThingPos(item2.uid), 103)
		doPlayerSendTextMessage(cid, 27, "Congrulations, your "..pokemon..", as beem boosted +"..boosts..".")
		doPlayerSendTextMessage(cid, 27, "Now your "..pokemon.." have a boost +"..newBoost..".")
		doSendAnimatedText(getThingPos(item2.uid), "+"..boosts.." Boost", 215)
return true 
end
